package com.fjhx.rabbitmq.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.fjhx.rabbitmq.RabbitMQProducer;
import com.fjhx.rabbitmq.service.RabbitmqService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @Description:
 * @ClassName: RabbitmqServiceImpl
 * @Author: linqt
 * @Date: 2022/3/28 15:16
 * @Version: 1.0
 */
@Service
public class RabbitmqServiceImpl implements RabbitmqService {

    @Autowired
    private RabbitMQProducer rabbitMQProducer;


    /**
     * 发送消息
     *
     * @param jsonObject
     */
    @Override
    public void send(JSONObject jsonObject) {
        rabbitMQProducer.send(jsonObject);
    }


}
