package com.fjhx.rfid.r2000.tcp.service;

import com.fjhx.entity.RFIDClient;
import com.fjhx.utils.AjaxResult;

/**
 * @Description:
 * @ClassName: TcpService
 * @Author: linqt
 * @Date: 2022/3/17 10:31
 * @Version: 1.0
 */
public interface TcpService {

    /**
     * 启动单台
     *
     * @param client
     * @return
     */
    public AjaxResult startOne(RFIDClient client);

    /**
     * 关闭单台
     *
     * @param client
     * @return
     */
    public AjaxResult closeOne(RFIDClient client);

    /**
     * 启动多台
     *
     * @param client
     * @return
     */
    AjaxResult openMore(RFIDClient client);
}
